{ gtkNativeInputs }:
attrs: {
    nativeBuildInputs = gtkNativeInputs;
    postInstall = ''
        install -Dt $out/share/applications resources/fitnesstrax.desktop
        install -Dt $out/gsettings-schemas/${attrs.crateName}-${attrs.version}/glib-2.0/schemas resources/com.luminescent-dreams.fitnesstrax.gschema.xml
        glib-compile-schemas $out/gsettings-schemas/${attrs.crateName}-${attrs.version}/glib-2.0/schemas
    '';
    preFixup = ''
        gappsWrapperArgs+=(
            --prefix XDG_DATA_DIRS : $out/gsettings-schemas/${attrs.crateName}-${attrs.version}
        )
    '';
}